CppUnit project page | FAQ

Public Member Functions | Public Attributes | List of all members
ITestRunnerDSPluginVtbl Struct Reference

`#include <TestRunnerDSPluginVC6.h>`

## Public Member Functions

BEGIN_INTERFACE | HRESULT (STDMETHODCALLTYPE __RPC_FAR *QueryInterface)(ITestRunnerDSPlugin __RPC_FAR *This
| ULONG (STDMETHODCALLTYPE __RPC_FAR *AddRef)(ITestRunnerDSPlugin __RPC_FAR *This)
| ULONG (STDMETHODCALLTYPE __RPC_FAR *Release)(ITestRunnerDSPlugin __RPC_FAR *This)
| HRESULT (STDMETHODCALLTYPE __RPC_FAR *goToLineInSourceCode)(ITestRunnerDSPlugin __RPC_FAR *This

## Public Attributes

BEGIN_INTERFACE REFIID | riid
BEGIN_INTERFACE REFIID void __RPC_FAR *__RPC_FAR * | ppvObject
BSTR | fileName
BSTR int | lineNumber

## Member Function Documentation

## ◆ HRESULT() [1/2]

BEGIN_INTERFACE ITestRunnerDSPluginVtbl::HRESULT | ( | STDMETHODCALLTYPE __RPC_FAR * | QueryInterface | ) |

## ◆ HRESULT() [2/2]

ITestRunnerDSPluginVtbl::HRESULT | ( | STDMETHODCALLTYPE __RPC_FAR * | goToLineInSourceCode | ) |

## ◆ ULONG() [1/2]

ITestRunnerDSPluginVtbl::ULONG | ( | STDMETHODCALLTYPE __RPC_FAR * | AddRef | ) |

## ◆ ULONG() [2/2]

ITestRunnerDSPluginVtbl::ULONG | ( | STDMETHODCALLTYPE __RPC_FAR * | Release | ) |

## Member Data Documentation

## ◆ fileName

BSTR ITestRunnerDSPluginVtbl::fileName

## ◆ lineNumber

BSTR int ITestRunnerDSPluginVtbl::lineNumber

## ◆ ppvObject

BEGIN_INTERFACE REFIID void __RPC_FAR* __RPC_FAR* ITestRunnerDSPluginVtbl::ppvObject

## ◆ riid

BEGIN_INTERFACE REFIID ITestRunnerDSPluginVtbl::riid

The documentation for this struct was generated from the following file:

- TestRunnerDSPluginVC6.h

| Send comments to: CppUnit Developers